ubuntu-core-upgrade(1)

NAME
ubuntu-core-upgrade - apply an Ubuntu Core system image to a running system

SYNOPSIS
ubuntu-core-upgrade [OPTIONS]... command-file

DESCRIPTION
This command, which is generally configured to be called by system-image-cli(1) applies the latest Ubuntu Core system image to the running system. The argument command-file should specify the full path to the declarative script generated by system-image-cli(1) listing all steps required for the upgrade.

OPTIONS

--check-reboot
    Attempt to determine if a reboot may be required. This option is similar to --dry-run: no system changes are made. Note that the result of this command cannot be definitive since a reboot would be triggered if a service failed to start (but this option does not attempt to restart any services).

--clean-only
    Clean up from a previous upgrader run, but do not upgrade.

--debug
    Enable debug output.

--dry-run
    Do not actually apply the update - simulate what would happen.

--force-inplace-upgrade
    Apply an upgrade to current rootfs even if running on dual rootfs system (for testing).

-h, --help
    Display usage.

--leave-files
    Do not remove the downloaded system image files after upgrade.

--no-reboot
    Do not reboot even if one would normally be required.

--reboot-delay=seconds
    Wait for specified number of seconds before rebooting (default=2).

--root-dir=directory
    Specify an alternative root directory (for testing).

--show-other-details
    Dump the details of the system-image vesion on the other root partition.

--tmpdir=directory
    Specify a alternate, pre-existing temporary directory to use.

NOTES
If invoked without --check-reboot and without --debug, output will be sent to standard error and syslog.

WARNING
This script should not be invoked directly by a user or administrator.

COPYRIGHT
Copyright © 2014 Canonical Ltd.

LICENSE
GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
system-image-cli(1)